Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLTableColElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLTableColElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTableColElement, Node, NodeList

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLTableColElementImpl.

    public class HTMLTableColElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableColElement

See Also:
  `HTMLTableColElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTableColElementImpl(HTMLDocumentImpl owner, String name)` Deprecated. Constructor requires owner document.

Method Summary
`String` | `getAlign()` Deprecated.
`String` | `getCh()` Deprecated.
`String` | `getChOff()` Deprecated.
`int` | `getSpan()` Deprecated.
`String` | `getVAlign()` Deprecated.
`String` | `getWidth()` Deprecated.
`void` | `setAlign(String align)` Deprecated.
`void` | `setCh(String ch)` Deprecated.
`void` | `setChOff(String chOff)` Deprecated.
`void` | `setSpan(int span)` Deprecated.
`void` | `setVAlign(String vAlign)` Deprecated.
`void` | `setWidth(String width)` Deprecated.

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, replaceChild, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLTableColElementImpl

    public HTMLTableColElementImpl(HTMLDocumentImpl owner,
                                   String name)

  Deprecated.
  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public String getAlign()

  Deprecated.
  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLTableColElement`

### setAlign

    public void setAlign(String align)

  Deprecated.
  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLTableColElement`

### getCh

    public String getCh()

  Deprecated.
  Specified by:
    `getCh` in interface `org.w3c.dom.html.HTMLTableColElement`

### setCh

    public void setCh(String ch)

  Deprecated.
  Specified by:
    `setCh` in interface `org.w3c.dom.html.HTMLTableColElement`

### getChOff

    public String getChOff()

  Deprecated.
  Specified by:
    `getChOff` in interface `org.w3c.dom.html.HTMLTableColElement`

### setChOff

    public void setChOff(String chOff)

  Deprecated.
  Specified by:
    `setChOff` in interface `org.w3c.dom.html.HTMLTableColElement`

### getSpan

    public int getSpan()

  Deprecated.
  Specified by:
    `getSpan` in interface `org.w3c.dom.html.HTMLTableColElement`

### setSpan

    public void setSpan(int span)

  Deprecated.
  Specified by:
    `setSpan` in interface `org.w3c.dom.html.HTMLTableColElement`

### getVAlign

    public String getVAlign()

  Deprecated.
  Specified by:
    `getVAlign` in interface `org.w3c.dom.html.HTMLTableColElement`

### setVAlign

    public void setVAlign(String vAlign)

  Deprecated.
  Specified by:
    `setVAlign` in interface `org.w3c.dom.html.HTMLTableColElement`

### getWidth

    public String getWidth()

  Deprecated.
  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLTableColElement`

### setWidth

    public void setWidth(String width)

  Deprecated.
  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLTableColElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD